<?php
/**
 * @package		jbreedm
 * @subpackage	
 * @author		Marc Letouze {@link http://www.protolbv.fr/jbreeding/}
 * @mailauthor	marc.letouze@liubov.net
 * @author		Created on 26-Jul-2009
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class ObjectifcarboneControllerConfig extends JController
{
    
    /**
	 * Custom Constructor
	 */
	function __construct( $default = array() )
	{
		// Set a default view if none exists
		if ( ! JRequest::getCmd( 'view' ) ) {
			
			JRequest::setVar('view', 'config' );
		}
		
		parent::__construct( $default );
		
		$this->registerTask( 'default', 'defaultConfig' );
	}
    
    
    function save()
    {
		// load array '$label_type1' => all params for $label_type1 group in models/Config.xml
        $label_type1 = JRequest::getVar( 'label_type1' , array() , 'POST' , 'array' );
        $label_type2 = JRequest::getVar( 'label_type2' , array() , 'POST' , 'array' );
        $label_type3 = JRequest::getVar( 'label_type3' , array() , 'POST' , 'array' );
        $label_type4 = JRequest::getVar( 'label_type4' , array() , 'POST' , 'array' );

         
        $config = array_merge( $label_type1, $label_type2, $label_type3, $label_type4 );
        
        $component =& JComponentHelper::getComponent('com_objectifcarbone');
        
        $t_component =& JTable::getInstance('component');
        $t_component->load( $component->id );
        $t_component->bind( array('params'=> $config ));

        $redirectLink = 'index.php?option=com_objectifcarbone&controller=config' ;
        $this->setRedirect( $redirectLink );
        
        if ( !$t_component->store() ) {
            
            JError::raiseWarning( 200, JText::_('ERROR_CONFIG_SAVED') );
           
        } else {
            
            $msg = JText::_('CONFIG_SAVED');
			$this->setRedirect( $redirectLink , $msg );
        }
        
    }
    
    
    /**
     * Restore default configuration
     *
     */
    function defaultConfig()
    {
	    $component =& JComponentHelper::getComponent('com_objectifcarbone');

        $t_component =& JTable::getInstance('component');
       
        $t_component->load( $component->id );
        $t_component->params='';       
        
        
        $redirectLink = 'index.php?option=com_objectifcarbone' ;
        $this->setRedirect( $redirectLink );
        
        if ( !$t_component->store() ) {
            
            JError::raiseWarning( 200, JText::_('ERROR_CONFIG_RESTORED') );
           
            
        } else {
            
            $msg = JText::_('CONFIG_RESTORED') ;
			$this->setRedirect( $redirectLink , $msg );
        }

    }
	
	
}
